View Single Post
Old 04-14-2011, 07:24 AM   #4
meme
Sigil developer
meme ought to be getting tired of karma fortunes by now.meme ought to be getting tired of karma fortunes by now.meme ought to be getting tired of karma fortunes by now.meme ought to be getting tired of karma fortunes by now.meme ought to be getting tired of karma fortunes by now.meme ought to be getting tired of karma fortunes by now.meme ought to be getting tired of karma fortunes by now.meme ought to be getting tired of karma fortunes by now.meme ought to be getting tired of karma fortunes by now.meme ought to be getting tired of karma fortunes by now.meme ought to be getting tired of karma fortunes by now.
 
Posts: 1,275
Karma: 1101600
Join Date: Jan 2011
Location: UK
Device: Kindle PW, K4 NT, K3, Kobo Touch
You might want to consider just restricting your plugin to the minimum version of Calibre that supports the feature. Trying to support multiple versions of Calibre could become a headache and makes your testing that much harder.

To make sure the plugin does not run unless Calibre's version is at a certain level, add this to your InterfacActionBase class:

minimum_calibre_version = (0, 7, 55)
meme is offline   Reply With Quote